# BEGIN Custom

# Rules to disable directory browsing
#Options -Indexes

# Rules to block access to htacces file
<files .htaccess>
    Order allow,deny
    Deny from all
</files>

<IfModule mod_rewrite.c>
    RewriteEngine on

    # Force HTTPS
    #RewriteCond %{HTTPS} !=on
    #RewriteRule .* https://%{SERVER_NAME}%{REQUEST_URI} [R,L]

    # Force www.
    RewriteCond %{HTTP_HOST} !^dev
    RewriteCond %{HTTP_HOST} !^www
    RewriteRule ^(.*)$ https://www.%{SERVER_NAME}%{REQUEST_URI} [R=301,L]

    # Page de maintenance
    #RewriteCond %{REMOTE_ADDR} !^192\.30\.25[2-5]\.
    #RewriteCond %{REMOTE_ADDR} !^128\.140\.136\.163
    #RewriteCond %{REQUEST_URI} !/construction.html$ [NC]
    #RewriteCond %{REQUEST_URI} !\.(jpe?g?|png|gif|js|css) [NC]
    #RewriteRule .* /construction.html [L]
</IfModule>

# cache-manifest type
AddType text/cache-manifest .appcache

# Interdire accès aux fichiers dossiers cachés
RedirectMatch 404 /\..*$

# Page 404
ErrorDocument 404 /404.html

# END Custom

# BEGIN Browser Cache

<IfModule mod_deflate.c>
    <IfModule mod_headers.c>
        Header append Vary User-Agent env=!dont-vary
    </IfModule>
        AddOutputFilterByType DEFLATE text/css text/x-component application/x-javascript application/javascript text/javascript text/x-js text/html text/richtext image/svg+xml text/plain text/xsd text/xsl text/xml image/x-icon application/json
    <IfModule mod_mime.c>
        # DEFLATE by extension
        AddOutputFilter DEFLATE js css htm html xml
    </IfModule>
</IfModule>

# END Browser Cache
